︠8100cc7e-a2e0-440d-a3ef-59f09f7b9744︠
A = matrix([[-2, -1, 3, 1], [-3, 2, 4, -2]])
A
︡269d437e-40db-4820-9129-2aeac544b805︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrrr}\n-2 & -1 & 3 & 1 \\\\\n-3 & 2 & 4 & -2\n\\end{array}\\right)</span>"}︡
︠ec5caef0-ea97-44d0-aadd-595d7884628b︠
A.columns()
︡7609602d-b78b-4c02-88f9-98d8c92dfc79︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left[\\left(-2,-3\\right), \\left(-1,2\\right), \\left(3,4\\right), \\left(1,-2\\right)\\right]</span>"}︡
︠667a601c-c7cb-4f4f-a2f9-01d5cfcdcf71︠
P = polygon(A.columns(), color = (random(), random(), random()), alpha = .6)
show(P, aspect_ratio = 1)
︡144b85b6-0069-436a-9fc7-630a13bf1623︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠5ddd9c8d-dbda-4ee5-a08c-9016bc7e6e79︠
r_y = matrix([[-1, 0], [0, 1]])
r_y
︡3209cd81-861f-456f-81d3-5f38185426ee︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\n-1 & 0 \\\\\n0 & 1\n\\end{array}\\right)</span>"}︡
︠f2965541-b2ce-48e5-b152-cc8fce06dac9︠
A
︡26ac78e0-8037-46ab-ae19-8900a403b0bb︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrrr}\n-2 & -1 & 3 & 1 \\\\\n-3 & 2 & 4 & -2\n\\end{array}\\right)</span>"}︡
︠8090f6f2-5cb9-4caa-9ea9-65f682d8eaa2︠
r_y*A
︡29fe8dd6-38ee-411a-91cb-f5b94ed8e45e︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrrr}\n2 & 1 & -3 & -1 \\\\\n-3 & 2 & 4 & -2\n\\end{array}\\right)</span>"}︡
︠a764a162-4e37-4466-b61e-8fca42c1c4e2︠
Q = polygon((r_y*A).columns(), color = (random(), random(), random()), alpha = .6)
show(P+Q, aspect_ratio = 1)
︡09e8e89f-c1fc-4640-8388-d89d190db26a︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b6c71f3f-1bcf-470d-8108-c6ebc9655297︠
r_x = matrix([[1, 0], [0, -1]])
r_x
︡fc044d37-3fbe-4818-9e00-0893a2f12d69︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\n1 & 0 \\\\\n0 & -1\n\\end{array}\\right)</span>"}︡
︠897b3ec8-ae7e-4af6-bffb-edde9d017b74︠
r_x*A
︡90dbf2c1-3267-4a67-b7d1-712ddbe127a9︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrrr}\n-2 & -1 & 3 & 1 \\\\\n3 & -2 & -4 & 2\n\\end{array}\\right)</span>"}︡
︠a3ea0dd0-45e7-484a-8fed-0177fde6a925︠
R = polygon((r_x*A).columns(), color = (random(), random(), random()), alpha = .5)
show(P+R, aspect_ratio = 1)
︡ef3e72f4-818c-4dd1-af97-6d51b9666621︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠4936f589-52e9-4f1f-afa1-4a4fba7b1a02︠
r_I = matrix([[0, 1], [1, 0]])
r_I
︡c5fb311e-38a9-47f8-b8ce-eddb7a3bc691︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\n0 & 1 \\\\\n1 & 0\n\\end{array}\\right)</span>"}︡
︠518eaa73-0fde-4af7-86b6-770b7fc45717︠
r_I*A
︡23f671f4-40b1-4600-81d5-497c301e7ce0︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrrr}\n-3 & 2 & 4 & -2 \\\\\n-2 & -1 & 3 & 1\n\\end{array}\\right)</span>"}︡
︠734e813e-4ae7-4820-aa93-f9d3cef122d7︠
S = polygon((r_I*A).columns(), color = (random(), random(), random()), alpha = .5)
show(P+S+line([(-3, -3), (4, 4)], color = 'black', linestyle = '--'), aspect_ratio = 1)
︡ccdcd477-a2a4-45f4-ba5c-17f073233eaf︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠da6adfc0-75ad-4fd3-b0ff-3d198c0ecc6e︠
var('theta')

def R(theta): return matrix([[cos(theta), -sin(theta)], [sin(theta), cos(theta)]])
R(theta)
︡0aec19f2-a984-4e11-b6d6-1ece79ab6733︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\n\\cos\\left(\\theta\\right) & -\\sin\\left(\\theta\\right) \\\\\n\\sin\\left(\\theta\\right) & \\cos\\left(\\theta\\right)\n\\end{array}\\right)</span>"}︡
︠63c92a87-5434-4f60-b01f-6f7833ffca5b︠
R(pi/6)
︡c259c403-68b7-4ef0-b214-1d371973b452︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\n\\frac{1}{2} \\, \\sqrt{3} & -\\frac{1}{2} \\\\\n\\frac{1}{2} & \\frac{1}{2} \\, \\sqrt{3}\n\\end{array}\\right)</span>"}︡
︠162ca1b7-42ed-49e4-a7d8-ab2ea5f835b8︠
T = polygon((R(pi/4)*A).columns(), color = (random(), random(), random()), alpha = .5, aspect_ratio = 1)
show(P+T, aspect_ratio = 1)
︡b4cc42f7-961c-46c6-8504-90e07ee00483︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠35c26021-a5f4-4c9c-84b6-88f57af8461e︠
@interact
def rotate(theta = (0..2*pi, step = pi/24)):
    S = polygon((R(theta)*A).columns(), color = 'red', alpha = .5)
    print R(theta)
    show(P+S, aspect_ratio = 1)
︡dc539aeb-6194-4a6d-a409-ed8d8df8a1a1︡{"html": "<!--notruncate--><div padding=6 id='div-interact-22'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">theta&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-theta-22' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-theta-22-lbl'></font></td></tr></table><script>(function(){ var values = [\"0\",\"1/24*pi\",\"1/12*pi\",\"1/8*pi\",\"1/6*pi\",\"5/24*pi\",\"1/4*pi\",\"7/24*pi\",\"1/3*pi\",\"3/8*pi\",\"5/12*pi\",\"11/24*pi\",\"1/2*pi\",\"13/24*pi\",\"7/12*pi\",\"5/8*pi\",\"2/3*pi\",\"17/24*pi\",\"3/4*pi\",\"19/24*pi\",\"5/6*pi\",\"7/8*pi\",\"11/12*pi\",\"23/24*pi\",\"pi\",\"25/24*pi\",\"13/12*pi\",\"9/8*pi\",\"7/6*pi\",\"29/24*pi\",\"5/4*pi\",\"31/24*pi\",\"4/3*pi\",\"11/8*pi\",\"17/12*pi\",\"35/24*pi\",\"3/2*pi\",\"37/24*pi\",\"19/12*pi\",\"13/8*pi\",\"5/3*pi\",\"41/24*pi\",\"7/4*pi\",\"43/24*pi\",\"11/6*pi\",\"15/8*pi\",\"23/12*pi\",\"47/24*pi\",\"2*pi\"]; setTimeout(function() {\n    $('#slider-theta-22').slider({\n        step: 1, min: 0, max: 48, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-theta-22-lbl').text(values[position]); interact(22, \"_interact_.update(22, \\\"theta\\\", 1, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(22)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-theta-22-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-theta-22-lbl').text(values[$('#slider-theta-22').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-22'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
